Bug 198605 - rpmlint looks in changelog for make-check-outside-check-section
rpmlint looks in changelog for make-check-outside-check-section
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-12 05:08 EDT by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.78-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-24 12:15:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-07-12 05:08:07 EDT
rpmlint looks for "make test" or "make check" outside the %check section of the
spec when checking SRPMs (make-check-outside-check-section). Unfortunately one
of the places it looks is in the changelog, so a changelog entry like this:

* Sat Jul 31 2004 Paul Howarth <paul@city-fan.org> 1.20-1
- Update to 1.20
- Moved `make test' into %%check section
- General tidy up of spec file

results in:

W: perl-Mail-Mbox-MessageParser make-check-outside-check-section - Moved `make
test' into %%check section
Comment 1 Ville Skyttä 2006-07-12 10:49:52 EDT
I haven't tested it myself, but I think this was fixed a couple of days ago in
upstream svn:  http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1245

Could you try it out and let me know if it works for you?

Hm, skimming the patch tells me that we should probably also skip the test in
%description sections.
Comment 2 Paul Howarth 2006-07-12 11:42:56 EDT
The patch worked for me. I agree about the %description sections but I think
it's much less likely to be a problem there.
Comment 3 Ville Skyttä 2006-09-24 12:15:15 EDT
Fixed in 0.78-1.

Note You need to log in before you can comment on or make changes to this bug.